| bio-0.4: A bioinformatics library | Source code | Contents | Index

Bio.Location.Strand

Description
Utilities for manipulating nucleotide sequences and locations on nucleotide sequences that occur on a forward or a reverse-complement strand.
Synopsis

data Strand

= Fwd
| RevCompl

class Stranded s where

revCompl :: s -> s

stranded :: Stranded s => Strand -> s -> s

Documentation

data Strand | Source

Sequence strand
Constructors

Fwd |
RevCompl |

Instances

Bounded Strand
Enum Strand
Eq Strand
Ord Strand
Read Strand
Show Strand
Ix Strand
Stranded Strand

class Stranded s where | Source

A nucleotide sequence or location on a nucleotide sequence that lies on a specific strand and has an orientation.
Methods

revCompl :: s -> s | Source

Instances

Stranded Char
Stranded ByteString
Stranded Strand
Stranded Pos
Stranded ContigLoc
Stranded Loc

stranded :: Stranded s => Strand -> s -> s | Source

Convert the orientation of a `Stranded` thing based on a specified `Strand`
Produced by Haddock version 2.4.2